#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-6g5RqNKoVL36QSIpvQ44yF
key:                  tree-diff-0.3.0.1-6g5RqNKoVL36QSIpvQ44yF
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  846ee7c30536ce7eb6daa213cc955411
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-6g5RqNKoVL36QSIpvQ44yF
depends:
    QuickCheck-2.14.3-Bq1rDgbuboJCaEuAXL5yHn
    aeson-2.1.2.1-2OMbY7JPF0J3MoL9ojqeUU
    ansi-terminal-0.11.4-Dutlyt45T6tOYdV5l6KuI
    ansi-wl-pprint-0.6.9-A668nBzylrk6uD7WXHnaDv base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 data-array-byte-0.1.0.1-6eZVuE0rsQAFXZa1nCs2ge
    deepseq-1.4.5.0 hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    parsec-3.1.14.0 parsers-0.12.11-GxaMuQP9Dh85bU5ag5w0Sv
    pretty-1.1.3.6 primitive-0.7.4.0-vwDq7840sM3xgs4vWuDTK
    scientific-0.3.7.0-WH9SJ5zQMb5m3f0O1VdGX
    semialign-1.2.0.1-Izbe7xtDkbILatdZkNDUQk
    strict-0.4.0.1-H3nGkBlkAji1NSbV38sR70
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH text-1.2.5.0
    these-1.1.1.1-6OizIrmq0MS8mPsjkFxTLO time-1.9.3
    unordered-containers-0.2.19.1-8KEpYsQ9zGXBRjdYU1dM21
    uuid-types-1.0.5.1-ABcuNi2nF7lAaDc8elCoo1
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

